using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace mseedChart.MainModule.Models
{
    public class StationModel
    {
        public double E;

        public double N;

        public double Z;

        public double ELon;

        public double NLat;

        public DateTime BeginUseTime;

        public DateTime StopUseTime;

        public bool IsVisible = true;

        public List<double> dz = new List<double>();

        public List<double> dn = new List<double>();

        public List<double> de = new List<double>();

        public ConcurrentQueue<double> cz = new ConcurrentQueue<double>();

        public ConcurrentQueue<double> ce = new ConcurrentQueue<double>();

        public ConcurrentQueue<double> cn = new ConcurrentQueue<double>();

        public string Name { get; set; }

        public string FilePath { get; set; }

        public double Sens { get; set; }
    }
}
